#!/bin/bash
PORT=${1:-5432}
for FKZ in `cat KA_list`
do
  # Datenbank und Nutzer anlegen
  psql -t waska_maintenance -p ${PORT} -c "
     CREATE DATABASE ka_${FKZ}_db WITH TEMPLATE = waska_template
            ENCODING = 'UTF8';"
  NEWPASS=`psql -t waska_maintenance -p ${PORT} -c "
     SELECT waska_init_database('${FKZ}');"`

  # Passwort sichern
  printf '%s\t%s\n' ${FKZ} ${NEWPASS} >> result_list

  # Datenbank initialisieren (im SQL-Skript initialize_database.sql werden die
  # einzelnen Skripte aufgerufen)
  psql ka_${FKZ}_db -p ${PORT} <<EOF 
     SET ROLE ka_${FKZ}_adm;
     \set cm_ka_group 'ka_${FKZ}_cm_ka'
     \set admin_ka_group 'ka_${FKZ}_admin_ka'
     \set adm_ka_owner 'ka_${FKZ}_adm'
     \i install/00precond.sql
     \i install/01waska_tmpl.sql
     \i install/02tables.sql
     \i install/03functions.sql
     \i install/04views.sql
     \i install/05cascades.sql
     \i install/06contraints.sql
     \i install/07logging.sql
EOF
done
