#!/bin/bash
PORT=${1:-5432}
for FKZ in `cat KA_list`
do
  # Datenbank ohne Nutzer anlegen
  psql -t waska_maintenance -p ${PORT} -c "
     CREATE DATABASE ka_${FKZ}_db WITH TEMPLATE = waska_template
            ENCODING = 'UTF8';"

  # Datenbank initialisieren (im SQL-Skript initialize_database.sql werden die
  # einzelnen Skripte aufgerufen)
  psql ka_${FKZ}_db -p ${PORT} <<EOF 
     SET ROLE ka_${FKZ}_adm;
     \set cm_ka_group 'ka_${FKZ}_cm_ka'
     \set admin_ka_group 'ka_${FKZ}_admin_ka'
     \set adm_ka_owner 'ka_${FKZ}_adm'
     \i create_last/00precond.sql
     \i create_last/01waska_tmpl.sql
     \i create_last/02tables.sql
     \i create_last/03functions.sql
     \i create_last/04views.sql
     \i create_last/05cascades.sql
     \i create_last/06contraints.sql
     \i create_last/07logging.sql
EOF
done
