#!/bin/bash
# Deletes all users and roles from given database.
# The delete the database itself

# usage: delete_database.sh inte00002 5434

#set -x
DB=$1
PORT=${2:-5432}
DBNAME=ka_${DB}_db

# First drop db
echo "Dropping DB '${DBNAME}' on Port ${PORT}..."
dropdb -p ${PORT} ${DBNAME}
echo "Done."

# Then delete roles
for ROLE in `psql -p ${PORT} -c "select rolname from pg_roles" | grep ${DB}`
do
  echo "Deleting ${ROLE} on Cluster under (${PORT})..."
  dropuser -p ${PORT} ${ROLE}
  echo "Done."
done
