BEGIN;
--
-- Entfernt 'phase'-Spalte aus der ka_status_tbl-Tabelle.
--
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
        VALUES ('update_1_0_4/13_remove_phases.sql', current_timestamp);

ALTER TABLE ka_status_tbl DROP CONSTRAINT ka_status_tbl_phase_fkey;

DROP VIEW ka_status_tbl_view;

ALTER TABLE ka_status_tbl DROP COLUMN phase;

DROP TABLE ka_phasen_tbl;

CREATE OR REPLACE VIEW ka_status_tbl_view AS 
SELECT 
    ka_status_tbl.id, 
    ka_status_tbl.master_id,
    ka_status_tbl.status, 
    ka_status_tbl.zugriff
FROM ka_status_tbl;

CREATE OR REPLACE RULE ka_status_delete_rule AS ON DELETE TO 
ka_status_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_status_insert_rule AS ON INSERT TO 
ka_status_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_status_update_rule AS 
ON UPDATE TO ka_status_tbl_view 
DO INSTEAD UPDATE ka_status_tbl SET
    status  = new.status,
    zugriff = new.zugriff
WHERE id = new.id;

GRANT SELECT ON ka_status_tbl_view TO GROUP :cm_ka_group;
GRANT UPDATE ON ka_status_tbl_view TO GROUP :cm_ka_group;
GRANT SELECT ON ka_status_tbl_view TO GROUP :admin_ka_group;
GRANT UPDATE ON ka_status_tbl_view TO GROUP :admin_ka_group;

COMMIT;
