## -*- coding: utf-8 -*-
<%
  headers = {'1':u'Fehlende Angabe zum Datum des Erstgespräch',
             '2':u'Datum des Erstgespräch liegt in der Zukunft',
             '3':u'Beendigungsdatum des CM liegt vor dem Datum des Erstgespräch',
             '4':u'Beendigungsdatum des CM liegt in der Zukunft',
             '5':u'CM ist beendet, aber keine Beendigungsdatum angegeben',
             '6':u'CM ist nicht beendet, aber Beendigungsdatum angegeben',
             '7':u'Die aktuelle Phase der Fallakte konnte aufgrund von fehlenden Angaben nicht festgestellt werden',
             'clearing_start':u'Fehlende Pflichtfeldangaben für Fälle in laufender "Eingangsanamnese" Phase',
             'clearing_ende':u'Fehlende Pflichtfeldangaben für Fälle in beendeter "Eingangsanamnese" Phase',
             'beratung_start':u'Fehlende Pflichtfeldangaben für Fälle in laufender "Beratungs" Phase',
             'beratung_ende':u'Fehlende Pflichtfeldangaben für Fälle in beendeter "Beratungs" Phase',
             'cm_start':u'Fehlende Pflichtfeldangaben für Fälle in laufender "Case-Management" Phase',
             'cm_ende':u'Fehlende Pflichtfeldangaben für Fälle in beendeter "Case-Management" Phase',
             'nachbetreuung_start':u'Fehlende Pflichtfeldangaben für Fälle in laufender "Nachbetreuungs" Phase',
             'nachbetreuung_ende':u'Fehlende Pflichtfeldangaben für Fälle in beendeter "Nachbetreuungs'}
  # ignore search of inconsistent cases which older than the given
  # date(filter out old cases)
  start_date = '2008-09-01'
%>
<%inherit file="../main.mako" />
<div>
<h1>Inkonsistente Fallakten finden</h1>
<p>Mit Hilfe der folgenden Funktionen haben Sie die Möglichkeit inkonstente Fallakten zu identifizieren. Klicken Sie auf den "Anzeige"-Button des jeweiligen Type der Inkonsistenz, um eine Auflistung der betroffenen Fälle zu erhalten.</p>
</div>
<div>
  <table class="inconsistency">
    <tr>
      <th>Inkonsistenz</th>
      <th style="width:4em;text-align:right">Anzahl</th>
      <th style="width:7em;text-align:right">Aktion</th>
    </tr>
  <% import re; count = 1; regexpr = re.compile('.*[start|ende]') %>
  %for k, v in c.inconsistency_types.iteritems():
    %if len(v) > 0:
      <tr>
        <td class="type ${count%2 or 'table_row_h'}">${headers.get(k, k)}</td>
        <td class="count ${count%2 or 'table_row_h'}">${len(v)}</td>
        <td class="count ${count%2 or 'table_row_h'}">
          <form name="list1" action="${h.url_for(controller="case_overview", action="search")}" method=post>
            <input type="hidden" name="show_anonymized" value="1">
            <input type="hidden" name="show_own" value="1">
            <input type="hidden" name="show_open" value="1">
            % if regexpr.match(k):
              <input type="hidden" name="search_str" value="inconsistency:${k};only_cases_after:${start_date}'">
            % else:
              <input type="hidden" name="search_str" value="inconsistency:${k}">
            % endif
            <input type="submit" value="Anzeigen">
          </form>
        </td>
      </tr>
      <% count+=1 %>
    %endif
  %endfor
</table>
</div>
